###############################################################################
#
# MAKEFILE TEMPLATE
#
###############################################################################

.SUFFIXES:
.SUFFIXES:   .MAP .MSB .C

INCLUDE =
LIB     =

DESCRIPTION = 'ACDI Xmit  sample Make file  - $(COPYRIGHT)'

########## DIRECTORIES ############
GLOBAL  = ..
ROOT    = $(GLOBAL)\..

MASM60  = $(ROOT)\TOOLS\MSMASM60
TK30    = $(ROOT)\TOOLKTS\TK30
CPA     = $(ROOT)\TOOLS\CSETPP
UTIL    = $(ROOT)\TOOLS\UTIL
ASYN    = $(ROOT)\SRC\ACDI32

########### TOOLS #################
CC      = $(CPA)\BIN\ICC.EXE
LINK386 = $(TK30)\BIN\LINK386.EXE
SYMGEN  = $(TK30)\BIN\MAPSYM.EXE
MKMSG   = $(TK30)\BIN\MKMSGF.EXE

########### FLAGS  #################

CFLAGS = /Ss /Ti /C /Gm
LFLAGS = /NOI /DE /pmtype:vio /align:16 /exepack:2 /base:65536
########### INCLUDE DIRS ###########
# Do not use $(INCLUDE)
CM2INC   = $(GLOBAL)\H
TK30INC  = $(TK30)\H
CPPINC   = $(CPA)\INCLUDE
########### INCLUDE PATHS ##########
CINC     = -I. -I$(TK30INC) -I$(CPPINC)
RCINC    = $(CINC:-I=-I )

########### LIB DIRS ################
# Do not use $(LIB)
CM2LIB  = $(GLOBAL)\LIB
TK30LIB = $(TK30)\LIB
CPPLIB  = $(CPA)\LIB

############### NLV  ################
!ifndef CNTRY
CNTRY = USA
!endif
!INCLUDE  $(CM2INC)\$(CNTRY)_NLV.DEF

########### INFERENCE RULES #########
.C.OBJ:
    $(CC) $(CFLAGS) $(CINC) $<

.MAP.SYM:
    $(SYMGEN) $<

.RC.RES:
    $(RC) $(RCPATH) $(RCINC) -r $< $@

.msb.msg:
    $(MKMSG) $(MFNLFLAGS) $< $@

############  OBJECTS ################

ACDIXMT_OBJ =  ACDICXMT.OBJ

#############################################################################
############ TARGETS AND DEPENDENCIES ####
ALL: ACDIXMT.EXE

ACDIXMT.EXE:  $(ACDIXMT_OBJ) ACDIXMT.MAK
    @REM <<$*.LLL
    $(ACDIXMT_OBJ: =+
)
    $@
    $*.MAP
    $(ASYN)\ACDI32.LIB+
    $(CPPLIB)\DDE4MBS.LIB+
    $(TK30LIB)\OS2386.LIB;

<<
    $(LINK386) $(LFLAGS) @$*.LLL

########### Standard targets used by all ########
clean:
        -del *.obj *.map *.sym *.dll *.exe *.res dephold depend.mak depchk > nul 2>&1
        $(UTIL)\includes -e $(CINC) *.CPP > depend.mak

depend:
        $(UTIL)\includes -e $(CINC) *.CPP > $@.mak


depend.mak:  dephold depend
        $(UTIL)\touch depchk
        $(UTIL)\includes -e $(CINC) *.CPP > $@
        -del depchk

dephold:
        $(UTIL)\touch $@

